Description

Recently | started using Redmine with many projects inside (~100), and | found cross-project views not really easy to use :

e only accessible by "Projects” link in top menu

¢ there you have a list of your projects with contextual links which are not really contextual, but lead to other "sections" (view all
issues, overall spent time, overall activity)

¢ when you click on one of those links the layout changes completely : no more contextual links, you have heterogeneous
sidebars

e you cannot go to an other of the first "sections" without re-clicking on "Projects" at the top (or doing an "Previous page" in the
browser to go back there..)

¢ atiny (but maybe unrelated) annoying thing for me : when you don't have any project using time tracking module, you should
not see "Overall spent time" link anywhere

Imho it's a notable usability defect if you need those cross-project informations. | leave a patch where | just modified views and added
a "cross-sidebar", which should be displayed on each of those pages. It's not perfect at all (maybe to much "h3" sections for
instance..). Consider it as a possible start point for the discussion.
Let me know what you think.

Related issues:

Related to Redmine - Patch #6688: Improvements for query-views of Calendar an... Closed 2010-10-18
Related to Redmine - Feature #3224: Better project list Closed 2009-04-23
Related to Redmine - Feature #14006: A shortcut to view all issues of all pro... Closed

Related to Redmine - Patch #17745: Issues page sidebar - Link to issues page Closed

Related to Redmine - Patch #29184: Add home to the application menu New

Related to Redmine - Feature #30207: Hide menu item in the cross-project menu... Closed
Associated revisions

Revision 15983 - 2016-11-19 11:30 - Jean-Philippe Lang

Use the main menu for project related actions that support cross-project display.

History

#1 - 2010-07-25 16:14 - Jean-Philippe Lang

- File cross_project_menu.png added

there you have a list of your projects with contextual links which are not really contextual, but lead to other "sections" (view all issues, overall
spent time, overall activity)

| agree, but | think it would make sense to display a cross-project menu rather than links in the sidebar:
#2 - 2010-07-25 17:23 - Jean-Baptiste Barth

Yes, it might be more intuitive and compatible with what is done in projects.

#3 - 2016-01-04 10:47 - Go MAEDA

- Related to Feature #14006: A shortcut to view all issues of all projects added

#4 - 2016-12-11 09:30 - Go MAEDA
- File cross-project-menu-r15983.png added
- Status changed from New to Resolved

- Target version set to 3.4.0

Jan-Phillipe Lang has already implemented "cross-project menu" described in #5920#note-1 in r15983 (I really like this menu!).
| think we can set target version of this issue to 3.4.0.
#5 - 2016-12-11 09:35 - Go MAEDA

2025-08-23 2/3


https://www.redmine.org/issues/5920#note-1
https://www.redmine.org/projects/redmine/repository/svn/revisions/15983

- Tracker changed from Defect to Feature

#6 - 2016-12-18 09:30 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Please reopen if anything is missing from the original request.

#7 - 2017-03-06 13:27 - Go MAEDA

- Related to Patch #17745: Issues page sidebar - Link to issues page added

#8 - 2018-07-04 15:04 - Go MAEDA
- Related to Patch #29184: Add home to the application menu added

#9 - 2018-12-13 16:22 - Go MAEDA

- Related to Feature #30207: Hide menu item in the cross-project menu if the module is not enabled in any project added

#10 - 2019-02-25 13:44 - Daniel Fehrle

We use Redmine with your "better crossprojects"-plugin and have projects with a large number of child projects. We would like to be able to collapse

them.
Is that something that can be added? How much would it cost?

Please contact me: fehrle@uni-hohenheim.de
